unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Hex, WinSystem;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    Edit2: TEdit;
    Label3: TLabel;
    Edit3: TEdit;
    Hex1: THex;
    Label4: TLabel;
    Edit4: TEdit;
    Label5: TLabel;
    Edit5: TEdit;
    Label6: TLabel;
    Edit6: TEdit;
    WinSystem1: TWinSystem;
    Label7: TLabel;
    lblWinVersion: TLabel;
    Label8: TLabel;
    lblComputerName: TLabel;
    procedure FormShow(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Edit4Change(Sender: TObject);
    procedure Edit4KeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormShow(Sender: TObject);
begin
    Edit1.Clear();
    Edit2.Clear();
    Edit3.Clear();
    Edit4.Text := '0';
    Edit5.Clear();
    Edit6.Clear();
    With WinSystem1 do
    begin
     GetOSInfo();
     GetComputerInfo();
    end;

    self.lblWinVersion.Caption := WinSystem1.WindowsType + ' ' + WinSystem1.MajorVersion + '.' +
        WinSystem1.MinorVersion + '.' + WinSystem1.BuildNumber + ' ' + WinSystem1.OtherInfo;
    self.lblComputerName.Caption := WinSystem1.ComputerName;
    self.lblComputerName.Font.Style :=     self.lblComputerName.Font.Style + [fsBold];
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
    With Hex1 do
    begin
        Text := Edit1.Text;
        ToHex;
        Edit2.Text := Hex;
        ToStr;
        Edit3.Text := Text;
    end;
end;

procedure TForm1.Edit4Change(Sender: TObject);
begin
    try
      if Length(Edit4.Text) = 0 then
      begin
        Edit5.Clear();
        Edit6.Clear();
        Exit;
      end;
      Edit5.Text := IntToHex(StrToInt(Edit4.Text), 4);
      Hex1.Hex := Edit5.Text;
      Hex1.ToInt();
      Edit6.Text := IntToStr(Hex1.Number);
    except
        Beep();
    end;
end;

procedure TForm1.Edit4KeyPress(Sender: TObject; var Key: Char);
begin
    if not (key in ['0'..'9',#8]) then
    begin
        Beep;
        key := #0;
    end;
end;





end.
