unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, NumericEditBox, EnhancedListBox, FlashingLabel, WebLabel;

type
  TForm1 = class(TForm)
    NumericEditBox1: TNumericEditBox;
    chkDecimals: TCheckBox;
    Label1: TLabel;
    EnhancedListBox1: TEnhancedListBox;
    Label2: TLabel;
    lblFruit: TLabel;
    WebLabel1: TWebLabel;
    FlashingLabel1: TFlashingLabel;
    lblStatus: TLabel;
    procedure NumericEditBox1InvalidCharacter(Sender: TObject);
    procedure chkDecimalsClick(Sender: TObject);
    procedure EnhancedListBox1Click(Sender: TObject);
    procedure FlashingLabel1LimitReached(Sender: TObject;
      var Stop: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.NumericEditBox1InvalidCharacter(Sender: TObject);
begin
        MessageBox(Handle, 'You just entered an invalid character', 'Invalid character', MB_ICONSTOP);
end;

procedure TForm1.chkDecimalsClick(Sender: TObject);
begin
        NumericEditBox1.AllowDecimals := chkDecimals.Checked;
end;

procedure TForm1.EnhancedListBox1Click(Sender: TObject);
begin
        (* New Text property is available
           Multi-Selection must be false. This works like Visual Basic List *)
        lblFruit.Caption := EnhancedListBox1.Text;
end;

procedure TForm1.FlashingLabel1LimitReached(Sender: TObject;
  var Stop: Boolean);
begin
lblStatus.Caption := 'Flashing has stopped now';
end;

end.
